Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## app
Class RunOperators

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--com.vistech.util.ApplicationFrame
                                          |
                                          +--app.JAIImageViewer
                                                |
                                                +--app.TiledImageViewer
                                                      |
                                                      +--app.RunOperators

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class RunOperators
extends TiledImageViewer

An application that allows users to apply a variety of JAI operators.

Version:
  1.0 18 Apr 2000
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Inner classes inherited from class com.vistech.util.ApplicationFrame
`ApplicationFrame.AppMenuBar`

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`static int` | `DYADIC_FORMAT`
`protected javax.swing.JSplitPane` | `hsp`
`protected int` | `loadCount`
`protected ManipUI` | `manippan`
`protected javax.swing.JTabbedPane` | `opTab`
`protected PanZoom` | `panzoom1`
`protected PanZoom` | `panzoom2`
`protected PanZoom` | `panzoom3`
`protected javax.swing.JButton` | `resetb`
`protected int` | `screenFormat`
`protected javax.media.jai.PlanarImage` | `sourceImage1`
`protected javax.media.jai.PlanarImage` | `sourceImage2`
`static int` | `UNARY_FORMAT`
`protected javax.swing.JSplitPane` | `vp`
`protected javax.swing.JSplitPane` | `vsp`

Fields inherited from class app.TiledImageViewer
`memoryMessageBar, renderGrid, theight, twidth, viewer`

Fields inherited from class app.JAIImageViewer
`flBrowser, image, loader, saver, scroll`

Fields inherited from class com.vistech.util.ApplicationFrame
`aboutString, aboutTitle, author, contentPane, copyRight, curDataFile, curLocale, helpBoxTitle, helpMidText, printerObj, saveFileName`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`RunOperators()`

Method Summary
`protected javax.swing.JSplitPane` | `createDyadicPanel()`
`protected void` | `createImageLoaderAndSaver()`
`protected void` | `createNewLayout(int screenFormat)`
`void` | `createUI()`
`protected javax.swing.JSplitPane` | `createUnaryPanel()`
`static void` | `main(java.lang.String[] args)`
`protected void` | `resetEventHandler()`

Methods inherited from class app.TiledImageViewer
`addEventAdapters, addPropertyChangeEventAdapters, addTileParamsEventAdapters, createMemoryMessageBar, createTileSetPanel, initializeScroll, updateMemoryMessageBar, updateRenderGrid`

Methods inherited from class app.JAIImageViewer
`displayImage, loadAndDisplay, printPropertyNames`

Methods inherited from class com.vistech.util.ApplicationFrame
`createGUI, getViewerSize, open, printContents, quit, save, saveAs, setAboutString, setAboutTitle, setLocale, setPrinterObj, updateUI`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### UNARY_FORMAT

    public static final int UNARY_FORMAT

### DYADIC_FORMAT

    public static final int DYADIC_FORMAT

### panzoom1

    protected PanZoom panzoom1

### panzoom2

    protected PanZoom panzoom2

### panzoom3

    protected PanZoom panzoom3

### resetb

    protected javax.swing.JButton resetb

### manippan

    protected ManipUI manippan

### loadCount

    protected int loadCount

### sourceImage1

    protected javax.media.jai.PlanarImage sourceImage1

### sourceImage2

    protected javax.media.jai.PlanarImage sourceImage2

### screenFormat

    protected int screenFormat

### vsp

    protected javax.swing.JSplitPane vsp

### hsp

    protected javax.swing.JSplitPane hsp

### vp

    protected javax.swing.JSplitPane vp

### opTab

    protected javax.swing.JTabbedPane opTab

Constructor Detail

### RunOperators

    public RunOperators()

Method Detail

### createUI

    public void createUI()

  Overrides:
    `createUI` in class `TiledImageViewer`

### createNewLayout

    protected void createNewLayout(int screenFormat)

### createDyadicPanel

    protected javax.swing.JSplitPane createDyadicPanel()

### createUnaryPanel

    protected javax.swing.JSplitPane createUnaryPanel()

### resetEventHandler

    protected void resetEventHandler()

### createImageLoaderAndSaver

    protected void createImageLoaderAndSaver()

  Overrides:
    `createImageLoaderAndSaver` in class `JAIImageViewer`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD